/* libnih
 *
 * Copyright © 2008 Scott James Remnant <scott@netsplit.com>.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
 */

#ifndef DBUS__COM_NETSPLIT_NIH_TEST_OBJECT_H
#define DBUS__COM_NETSPLIT_NIH_TEST_OBJECT_H

#include <dbus/dbus.h>

#include <nih/macros.h>
#include <nih/dbus.h>


NIH_BEGIN_EXTERN

const NihDBusInterface com_netsplit_Nih_Test;
const NihDBusInterface com_netsplit_Nih_Glue;

int my_test_async_method_reply (NihDBusMessage *message, const char *output);
int my_test_signal             (DBusConnection *connection, const char *origin_path, const char *text, int32_t flags)
	__attribute__ ((warn_unused_result));
int my_emit_byte               (DBusConnection *connection, const char *origin_path, uint8_t data)
	__attribute__ ((warn_unused_result));
int my_emit_boolean            (DBusConnection *connection, const char *origin_path, int data)
	__attribute__ ((warn_unused_result));
int my_emit_int16              (DBusConnection *connection, const char *origin_path, int16_t data)
	__attribute__ ((warn_unused_result));
int my_emit_uint16             (DBusConnection *connection, const char *origin_path, uint16_t data)
	__attribute__ ((warn_unused_result));
int my_emit_int32              (DBusConnection *connection, const char *origin_path, int32_t data)
	__attribute__ ((warn_unused_result));
int my_emit_uint32             (DBusConnection *connection, const char *origin_path, uint32_t data)
	__attribute__ ((warn_unused_result));
int my_emit_int64              (DBusConnection *connection, const char *origin_path, int64_t data)
	__attribute__ ((warn_unused_result));
int my_emit_uint64             (DBusConnection *connection, const char *origin_path, uint64_t data)
	__attribute__ ((warn_unused_result));
int my_emit_double             (DBusConnection *connection, const char *origin_path, double data)
	__attribute__ ((warn_unused_result));
int my_emit_string             (DBusConnection *connection, const char *origin_path, const char *data)
	__attribute__ ((warn_unused_result));
int my_emit_object_path        (DBusConnection *connection, const char *origin_path, const char *data)
	__attribute__ ((warn_unused_result));
int my_emit_signature          (DBusConnection *connection, const char *origin_path, const char *data)
	__attribute__ ((warn_unused_result));
int my_emit_int32_array        (DBusConnection *connection, const char *origin_path, const int32_t *data, size_t data_len)
	__attribute__ ((warn_unused_result));
int my_emit_str_array          (DBusConnection *connection, const char *origin_path, char * const *data)
	__attribute__ ((warn_unused_result));

NIH_END_EXTERN

#endif /* DBUS__COM_NETSPLIT_NIH_TEST_OBJECT_H */

