/* upstart
 *
 * Copyright © 2008 Canonical Ltd.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
 */

#ifndef DBUS__COM_UBUNTU_UPSTART_H
#define DBUS__COM_UBUNTU_UPSTART_H

#include <dbus/dbus.h>

#include <nih/macros.h>
#include <nih/dbus.h>


NIH_BEGIN_EXTERN

int control_reload_configuration (NihDBusProxy *proxy)
	__attribute__ ((warn_unused_result));
int control_get_job_by_name      (NihDBusProxy *proxy, const char *name, char **job)
	__attribute__ ((warn_unused_result));
int control_get_all_jobs         (NihDBusProxy *proxy, char ***jobs)
	__attribute__ ((warn_unused_result));
int control_emit_event           (NihDBusProxy *proxy, const char *name, char * const *env)
	__attribute__ ((warn_unused_result));
int control_get_version          (NihDBusProxy *proxy, char **version)
	__attribute__ ((warn_unused_result));
int control_set_log_prio         (NihDBusProxy *proxy, int32_t priority)
	__attribute__ ((warn_unused_result));

NIH_END_EXTERN

#endif /* DBUS__COM_UBUNTU_UPSTART_H */

